When you update your server to OS X Yosemite v10.10.5, you should also update to OS X Server v4.1.5. Read more “If you see the message, “An error occurred while configuring your Server” after updating OS X Yosemite”